## kallisto 0.45.1+dfsg

=== debian/changelog ===
kallisto (0.45.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #925417)

 -- Andreas Tille <tille@debian.org>  Sun, 24 Mar 2019 21:53:40 +0100
