=== debian/control ===
Source: kallisto
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               cmake,
               libhdf5-dev,
               libhts-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/kallisto
Vcs-Git: https://salsa.debian.org/med-team/kallisto.git
Homepage: https://pachterlab.github.io/kallisto

Package: kallisto
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: near-optimal RNA-Seq quantification
 Kallisto is a program for quantifying abundances of transcripts from
 RNA-Seq data, or more generally of target sequences using high-throughput
 sequencing reads. It is based on the novel idea of pseudoalignment for
 rapidly determining the compatibility of reads with targets, without the
 need for alignment. On benchmarks with standard RNA-Seq data, kallisto
 can quantify 30 million human reads in less than 3 minutes on a Mac
 desktop computer using only the read sequences and a transcriptome index
 that itself takes less than 10 minutes to build. Pseudoalignment of
 reads preserves the key information needed for quantification, and
 kallisto is therefore not only fast, but also as accurate than existing
 quantification tools. In fact, because the pseudoalignment procedure is
 robust to errors in the reads, in many benchmarks kallisto significantly
 outperforms existing tools.

Package: kallisto-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: kallisto
Suggests: snakemake
Description: near-optimal RNA-Seq quantification (example data)
 Kallisto is a program for quantifying abundances of transcripts from
 RNA-Seq data, or more generally of target sequences using high-throughput
 sequencing reads. It is based on the novel idea of pseudoalignment for
 rapidly determining the compatibility of reads with targets, without the
 need for alignment. On benchmarks with standard RNA-Seq data, kallisto
 can quantify 30 million human reads in less than 3 minutes on a Mac
 desktop computer using only the read sequences and a transcriptome index
 that itself takes less than 10 minutes to build. Pseudoalignment of
 reads preserves the key information needed for quantification, and
 kallisto is therefore not only fast, but also as accurate than existing
 quantification tools. In fact, because the pseudoalignment procedure is
 robust to errors in the reads, in many benchmarks kallisto significantly
 outperforms existing tools.
 .
 This package contains usage examples which are used in autopkgtest.
