## kallisto 0.46.0+dfsg

=== debian/changelog ===
kallisto (0.46.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 07 Aug 2019 13:01:05 +0200
