## kallisto 0.46.1+dfsg

=== debian/changelog ===
kallisto (0.46.1+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:54 +0100

kallisto (0.46.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * mark kallisto-examples as Multi-Arch: foreign
  * debian/patches/spelling: fix typo
  * debian/patches/htslib1.3: use kseq.h from htslib, not the bundled version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Dec 2019 12:05:55 +0100

kallisto (0.46.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Fri, 08 Nov 2019 23:14:36 +0100
