=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake,
                libhdf5-dev,
                libhts-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/kallisto
 Vcs-Git: https://salsa.debian.org/med-team/kallisto.git
 Homepage: https://pachterlab.github.io/kallisto
@@ -35,6 +35,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: kallisto
+Multi-Arch: foreign
 Suggests: snakemake
 Description: near-optimal RNA-Seq quantification (example data)
  Kallisto is a program for quantifying abundances of transcripts from
