=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/pachterlab/kallisto/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
