=== debian/changelog ===
kallisto (0.46.2+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * debian/patches/gcc11.patch: Fix gcc-11 FTBFS (Closes: #984073)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 04 Mar 2021 23:54:34 +0530

kallisto (0.46.2+dfsg-2) unstable; urgency=medium

  * Team upload
  * Patch to avoid segfault (Closes: #960368)

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Sat, 16 May 2020 04:47:12 +0530

kallisto (0.46.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 May 2020 13:12:09 +0200
