## kallisto 0.46.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
                cmake,
                libhdf5-dev,
                libhts-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/kallisto
 Vcs-Git: https://salsa.debian.org/med-team/kallisto.git
 Homepage: https://pachterlab.github.io/kallisto
+Rules-Requires-Root: no
 
 Package: kallisto
 Architecture: any
