=== func_tests/CMakeLists.txt ===
project(FuncTests)

file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/runtests.sh
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
