=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,23 +27,29 @@
     SET_TARGET_PROPERTIES(kallisto kallisto_core PROPERTIES LINK_SEARCH_END_STATIC 1)
 endif(LINK MATCHES static)
 
-find_package( HDF5 REQUIRED )
+
+if(USE_HDF5)
+    find_package( HDF5 REQUIRED )
+endif(USE_HDF5)
+
 find_package( ZLIB REQUIRED )
 
 if ( ZLIB_FOUND )
     include_directories( ${ZLIB_INCLUDE_DIRS} )
+    target_link_libraries(kallisto kallisto_core ${ZLIB_LIBRARIES})
 else()
     message(FATAL_ERROR "zlib not found. Required for to output files" )
 endif( ZLIB_FOUND )
 
-if(HDF5_FOUND)
-    include_directories( ${HDF5_INCLUDE_DIRS} )
-    target_link_libraries( kallisto_core ${HDF5_LIBRARIES} )
-    target_link_libraries( kallisto ${HDF5_LIBRARIES} )
-else()
-    message(FATAL_ERROR "HDF5 not found. Required to output files")
-endif()
-
+if(USE_HDF5)
+    if(HDF5_FOUND)
+        include_directories( ${HDF5_INCLUDE_DIRS} )
+        target_link_libraries( kallisto_core ${HDF5_LIBRARIES} )
+        target_link_libraries( kallisto ${HDF5_LIBRARIES} )
+    else()
+        message(FATAL_ERROR "HDF5 not found. Required to output files")
+    endif()
+endif(USE_HDF5)
 
 if(LINK MATCHES static)
     if (UNIX AND NOT APPLE)
