=== debian/changelog ===
kallisto (0.48.0+dfsg-4) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Remove quant_out/run_info.json to enable reproducible-builds
    Closes: #1004053

 -- Andreas Tille <tille@debian.org>  Wed, 12 Apr 2023 07:44:19 +0200

kallisto (0.48.0+dfsg-3) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Oct 2022 11:17:52 +0200

kallisto (0.48.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Preventing volatile test outputs from appearing in kallisto-examples
    binary package (Closes: #1004053). Thanks Vagrant Cascadian.
  * Limiting kallisto builds to 64bit architectures as 32bit are not supported.

 -- Andrius Merkys <merkys@debian.org>  Thu, 20 Jan 2022 02:09:50 -0500

kallisto (0.48.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.48.0+dfsg
  * Enabling function and snakemake tests.
  * Bumping copyright years.
  * Refreshing patches, disabling
    Check_busOptions.seq_length_before_accessing.patch (integrated upstream).

 -- Andrius Merkys <merkys@debian.org>  Wed, 19 Jan 2022 02:36:58 -0500
