=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               catch2,
                cmake,
                libhdf5-dev,
-               libhts-dev
-Standards-Version: 4.5.0
+               libhts-dev,
+               snakemake <!nocheck>,
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/kallisto
 Vcs-Git: https://salsa.debian.org/med-team/kallisto.git
 Homepage: https://pachterlab.github.io/kallisto
 Rules-Requires-Root: no
 
 Package: kallisto
-Architecture: any
+Architecture: any-amd64 arm64 mips64el ppc64el s390x alpha hppa ia64 ppc64 riscv64 sparc64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: near-optimal RNA-Seq quantification
