=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CMAKE_EXTRA_FLAGS += -DDEBIAN_BUILD=1 \
                     -DLINK=shared \
                     -DBUILD_FUNCTESTING=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
	dh_auto_test
	cd test && PATH=$$(find ../obj-* -name src):$(PATH) HOME=$$(mktemp --directory) snakemake --cores 1
	rm -rf test/.snakemake test/bus_out test/quant_out/run_info.json test/transcripts.kidx.gz
