## kallisto 0.51.1%2Bdfsg

=== debian/changelog ===
kallisto (0.51.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.7.3
  * Add support for loongarch64 in d/control
    Closes: #1057131
  * Remove patch Check_busOptions.seq_length_before_accessing.patch that is
    missing from debian/patches/series.
  * Fix build with CMake 4
    Closes: #1113067
  * d/watch: version=5
  * Cleanup properly after build time test + fix clean target
    Closes: #1047324
  * debputy lint --auto-fix (routine-update)
  * Try hard to get bifrost build with recent gcc
  * bifrost: Add default values for MAX_KMER_SIZE and MAX_GMER_SIZE
  * Fix typo in bifrost
  * Do not build in parallel

  [ Michael R. Crusoe ]
  * d/control: simplify architecture specifications by using provisions
    from the architecture-properties package.
  * d/rules: change dh_auto_test rule from an override to an
    execute_after to remove the need to check DEB_BUILD_OPTIONS.
  * Upstream has forked bifrost, use their copy instead.
  * d/rules: need cmake option needed: USE_BAM.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Feb 2026 17:01:24 +0100
