=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: kallisto
+Standards-Version: 4.7.3
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
 Section: science
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               catch2,
-               cmake,
-               libhdf5-dev,
-               libhts-dev,
-               snakemake <!nocheck>,
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ architecture-is-64-bit,
+ catch2,
+ cmake,
+ libbifrost-dev,
+ libhdf5-dev,
+ libhts-dev,
+ snakemake <!nocheck>,
 Vcs-Browser: https://salsa.debian.org/med-team/kallisto
 Vcs-Git: https://salsa.debian.org/med-team/kallisto.git
 Homepage: https://pachterlab.github.io/kallisto
 Rules-Requires-Root: no
 
 Package: kallisto
-Architecture: any-amd64 arm64 mips64el ppc64el s390x alpha hppa ia64 ppc64 riscv64 sparc64
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: near-optimal RNA-Seq quantification
  Kallisto is a program for quantifying abundances of transcripts from
  RNA-Seq data, or more generally of target sequences using high-throughput
@@ -36,10 +40,13 @@
 
 Package: kallisto-examples
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: kallisto
 Multi-Arch: foreign
-Suggests: snakemake
+Depends:
+ ${misc:Depends},
+Recommends:
+ kallisto,
+Suggests:
+ snakemake,
 Description: near-optimal RNA-Seq quantification (example data)
  Kallisto is a program for quantifying abundances of transcripts from
  RNA-Seq data, or more generally of target sequences using high-throughput
