=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CMAKE_EXTRA_FLAGS += -DDEBIAN_BUILD=1 \
                     -DLINK=shared \
                     -DBUILD_FUNCTESTING=1 -DUSE_BAM=1

%:
	dh $@ --no-parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ext/bifrost/build ext/bifrost/tmp ext/bifrost/src/bifrost-build ext/bifrost/src/bifrost-stamp

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
	dh_auto_test || true
	cd test && PATH=$$(find ../obj-* -name src):$(PATH) HOME=$$(mktemp --directory) XDG_CACHE_HOME=$(mktemp --directory) snakemake --cores 1 || true
	rm -rf test/.snakemake test/bus_out test/quant_out/run_info.json test/transcripts.kidx.gz \
	        test/quant_out test/transcripts.kidx
