=== debian/watch ===
Version: 5

Template: Github
Owner: pachterlab
Project: kallisto
Repack-Suffix: +dfsg
Dversion-Mangle: auto
